image: python:3.7

variables:
  PIP_CACHE_DIR: "$CI_PROJECT_DIR/.cache/pip"

cache:
  paths:
    - .cache/pip

validate:
  before_script:
    - python -m pip install gwpy
  script:
    - bash .gitlab-ci/validate.sh
  after_script:
    - rm -frv ${PIP_CACHE_DIR}/log
